<?
require("../conectar.php");
?>
<html>
<head>
<title>Minuta</title>
<?
$css='<style type="text/css">
table
	{
	border-collapse:collapse;
	font-size:12px;
	}

table tr td, table tr th
{
	
	border:1px solid black;
}
.capturar
{
width:55px;
}
#capturamaraton:hover
{
background:#49609b;
}
#capturamaraton
{
background:#49609b;
background-image: url("../images/templatemo_body.jpg");
color:white;
border-radius:5px;
padding:10px;
}
.resultados{display:block;}
#a1{ background:#d6d8db; border:1px solid black;}
#a2{ background:#a9b2c9; border:1px solid black;}

#correo
{
	float:right; 
	margin-right:20px;
}
#correo:hover
{
	width:35px; 
	height:35px;
}
#emples tr:hover,#emples tr td:hover, table tr:hover, table tr td:hover
	{
	background:#C0C0C0;
	}
img
	{
	cursor:pointer;
	} 
</style><br>';
echo$css;
?>
   <script language="javascript" src="js/jquery-1.2.6.min.js"></script>
<link href='calendarpopp.css' rel='stylesheet' type='text/css'>
        <script type='text/javascript'>
            var getDatee = new Date();
            var monthe = getDatee.getMonth();
            var yeare = getDatee.getFullYear();
            var day = getDatee.getDate(); 
            function isEmpty(val){
               return (val === undefined || val == null || val.length <= 0) ? true : false;
            }
            
            function prev()
            {
            	monthe = monthe-1;
                if(monthe < 0)
        	{
        	    yeare = yeare-1;	
                    monthe = 11;
                }
                dispCal(monthe, yeare,"no");
                return false;
            }
            
            function next()
            {
            	monthe = monthe+1;
                if(monthe > 11)
        	{
        	    yeare = yeare+1;	
                    monthe = 0;
                }
                dispCal(monthe, yeare,"no");
                return false;
            }
            
            function daysInMonth(monthe, yeare)
            {
                return 32 - new Date(yeare, monthe, 32).getDate();
            }

            function getElementPosition(arrName,arrItem){
                for(var pos=0; pos<arrName.length; pos++ ){
                    if(arrName[pos]==arrItem){
                        return pos;
                    }
                }
            }
            
            function setVal(getDat){
                $('#sel').val(getDat);
                $('#calendar').hide();
            }
            
            function dispCal(mon,yea,no){
			var d = new Date();
			no || ( no = 'si' );
		var ar = new Array('Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec');
		var ar2 = new Array('Ene','Feb','Mar','Abr','May','Jun','Jul','Ago','Sep','Oct','Nov','Dic');
                var chkEmpty = isEmpty(mon);
                var n,days,calendar,startDate,newYea,setvale,i;
                if(chkEmpty != true){
                    mon = mon+1;
                    n = ar2[mon-1];
                    n += " "+yea;
                    newYea = yea;
                    days = daysInMonth((mon-1),yea);
                    startDate = new Date(ar[mon-1]+" 1"+","+parseInt(yea));
                }else{
                    mon = getElementPosition(ar,ar[getDatee.getMonth()]);
                    n = ar2[getDatee.getMonth()];
                    n += " "+yeare;
                    newYea = yeare;
                    days = daysInMonth(mon,yeare);
                    startDate = new Date(ar[mon]+" 1"+","+parseInt(yeare));
                }
                
                var startDay = startDate.getDay();
                var startDay1 = startDay;
                while(startDay> 0){
                   calendar += "<td></td>";  
                   startDay--;
                }                
                i = 1;
                while (i <= days){
                  if(startDay1 > 6){
                      startDay1 = 0;  
                      calendar += "</tr><tr>";  
                  }  
                  mon = monthe+1;
                  setvale = i+","+n;
		  if(i < d.getDate() && newYea==d.getFullYear() && (parseInt(mon)-1)==d.getMonth())
			{		
				if(parseInt(i)<10){i="0"+i; }
				if(parseInt(mon)<10){mon="0"+mon;}	  
				calendar +="<td class='thisday1' onclick='setVal(\""+newYea+"-"+mon+"-"+i+"\")'>"+i+"</td>";
                  } 
				  else if(i == d.getDate() && newYea==d.getFullYear() && (parseInt(mon)-1)==d.getMonth())
				{		
				if(parseInt(i)<10){i="0"+i; }
				if(parseInt(mon)<10){mon="0"+mon;}	  
				calendar +="<td class='thisday' onclick='setVal(\""+newYea+"-"+mon+"-"+i+"\")'>"+i+"</td>";
                  }
				  else{  
				   if(parseInt(i)<10){i="0"+i; }
				  if(parseInt(mon)<10){mon="0"+mon;}
                    calendar +="<td class='thismon' onclick='setVal(\""+newYea+"-"+mon+"-"+i+"\")'>"+i+"</td>";   
                  }
		  startDay1++;  
                  i++;  
                }
		    calendar +="<td><a style='font-size: 9px; color: #efefef; font-family: arial; text-decoration: none;' href='http://www.hscripts.com'>&copy;h</a></td>";   
				if((document.getElementById("calendar").style.display=="inline") && no!="no") $('#calendar').css('display','none');
				else $('#calendar').css('display','inline');
                $('#month').html(n);
                var test = "<tr class='weekdays'><td>Dom</td><td>Lun</td><td>Mar</td><td>Mie</td><td>Jue</td><td>Vie</td><td>Sab</td></tr>";  
                test += calendar;
		$('#dispDays').html(test);
            }
			
        </script>
<script type="text/javascript">
function guardajunta()
{
	  var fi=document.getElementById("fi").value;
	  if(fi!=""){
	  $.post("guardaminuta.php", { tipo:"insertar", fi:fi }, function(data)
																{
																	$("#guardo").html(data);
																});			
		}	buscaminuta();
}
function cambiaBoton(a){
document.getElementById("boton1").value=a
	document.getElementById("fi").value=document.getElementById("fiC").value
	document.getElementById("ff").value=document.getElementById("ffC").value
	document.getElementById("anuncios").value=document.getElementById("anunciosC").value
	document.getElementById("prospectos").value=document.getElementById("llamadasC").value
	document.getElementById("citas").value=document.getElementById("citasC").value
	document.getElementById("asistencias").value=document.getElementById("asistenciasC").value
	document.getElementById("id").value=document.getElementById("idC").value
}

function buscaminuta()
{
  $.post("guardaminuta.php",
			{
				tipo:"consultar"
			},
		function(data,status)
			{
			document.getElementById("maratones").innerHTML="";
			document.getElementById("maratones").innerHTML="<select onchange='tablaposiciones(this.value)' name='consulMarton' id='consulMarton'><option>-Selecciona-</option></select>";
			var n=data.split("ww");
			var a=0;
			var h=(n.length-1)/2;
				select = document.getElementById("consulMarton");
			for ( i =1; i <=h; i++) 
			{
				option = document.createElement( 'option' );
				option.value =n[a];
				a++;				
				var m=n[a];
				option.text=m;
				a++;
				select.add( option );
			}
			});
}
function mcaptura()
{
 $("#capturar").toggle("slow");
}
function mconsulta()
{
 $("#consulta").toggle("slow");

}
function tablaposiciones(id)
{

  $.post("minutas.php",
			{
				id:id
			},
		function(data,status)
			{
				$("#tabladeposiciones").html(data);
				document.getElementById("actual").value=id;

			});
}
function guardaminuta(id)
{
var id=document.getElementById("actual").value;
if(id!="no"){	
var ids=document.getElementById("idresponsable").value;
var act=document.getElementById("actividad").value;
var adate=document.getElementById("sel").value;
var observacion=document.getElementById("observacion").value;
  $.post("guardaminuta.php",
			{
				id:id,
				ids:ids,
				tipo:"guardami",
				ob:observacion,
				fecha_fin:adate,
				act:act
				
			},
		function(data,status)
			{
				
				if(status)
				{
				tablaposiciones(id);
				var d;
				for(d=1;d<=document.getElementById("emplead").value;d++)
					{ document.getElementById("emp"+d).value="Agregar";}
				}
			});
			document.getElementById("columnaresp").innerHTML="";
			document.getElementById("idresponsable").value="";
			document.getElementById("responsable").value="";
			document.getElementById("actividad").value="";
			document.getElementById("sel").value="";
			document.getElementById("observacion").value="";
			}
			else
				{alert("Selcciona la junta");
					document.getElementById("consulMarton").focus();
				}
}
function actualizaminuta(id,id2,tipo,val)
{
var con=confirm("Confirmar");
if(con==true){

$.post("guardaminuta.php",
			{
				id:id,
				tipo:tipo,
				val:val
			},
		function(data,status)
			{

				$("#guardo").html(data);
				if(status){tablaposiciones(id2);}
			});
	}		
}
function enviarminuta(tabla){
var con=confirm("Deseas enviar el avance por correo a todos los empleados activos?");
if(con==true){
var tablaempl=document.getElementById("tablaempl").value;
var css=document.getElementById("css").value;
var correos=document.getElementById("correos").value;
  tabla1=tabla+tablaempl;
  $.post("guardaminuta.php",
	{
		css:css,
		tabla:tabla1,
		tablae:tablaempl,
		correos:correos,
		tipo:"enviamail"
	},
	function(data)
	{
	alert("correo enviado");
	$("#guardo").html(data);
	});
}
}
function agregaresponsables(id,inicial,tip)
		{
		if(document.getElementById("responsable"))
			{
			if(document.getElementById(tip).value=="Agregar")
				{
					document.getElementById("responsable").value=document.getElementById("responsable").value+"-"+inicial;
					document.getElementById("idresponsable").value=document.getElementById("idresponsable").value+"-"+id;
					document.getElementById(tip).value="Quitar";
				}
			else
				{
				inicial="-"+inicial;
				var nuevo=document.getElementById("responsable").value.replace(inicial,"");
				document.getElementById("responsable").value=nuevo;
				id="-"+id;
				nuevo=document.getElementById("idresponsable").value.replace(id,"");
				document.getElementById("idresponsable").value=nuevo;
				document.getElementById(tip).value="Agregar";
				}
				document.getElementById("columnaresp").innerHTML="<p>"+document.getElementById("responsable").value+"</p>";
			}
		}
</script>
<script language="javascript" src="calendario_cierre/calendar_db.js"></script>
 <link type="text/css" href="calendario_cierre/calendar.css" rel="stylesheet" />
</script>
</head>
<body>
<fieldset>
  <div >
  <p id="capturamaraton" onclick="mcaptura()">Registrar Junta</p>
	 <form name="form">
	    <font color="red"><p id="guardo"></p></font>
	    <input type="hidden" name="id" id="id" value="0">
			<table id="capturar">
			  <tr id="capturamaraton"><th>Fecha de reunion
			   <tr>
			    <td>
				  <input  type="text"  name="fi" id="fi"  size="8" readonly autocomplete=off >
								 <script language="JavaScript">
									 var o_cal = new tcal ({
									  // form name
									  'formname': 'form',
									  // input name
									  'controlname': 'fi'
									  });
									 // individual template parameters can be modified via the calendar variable
									  o_cal.a_tpl.yearscroll = false;
									  o_cal.a_tpl.weekstart = 1;     
								 </script>
				</td>
			   </tr>
			  <tr>
			   <td align="center"><input id="boton1" type="button" value="Guardar" onclick="guardajunta()">
			  </tr> 
			</table>
			</form>
     </div>

  <p id="capturamaraton" onclick="mconsulta()">Consultar Minutas </p>
<div>
  <div id="consulta">
<a id="carga"></a>
<table id="cosultamaraton">
	<tr><th id="capturamaraton">Seleccionar Fecha de la junta
	<tr><td><p id="maratones"></p>
</table>
</div>
<script>buscaminuta()</script>
<div id="tabladeposiciones"></div>
</div>
	 
	

<br><br><br>
<table width="800">
<tr id="capturamaraton"><th colspan="7">LLena los campos para agregar una actividad a la minuta</th></tr>
<tr id="capturamaraton"><th >Actividad<th >Responsables<th >Fecha Entrega<th >Observaciones<th >Status<th>Registrar
<tr>
	<td><textarea rows="4" cols="30" name="actividad" id="actividad"></textarea>
	<td id="columnaresp"></td><input type="hidden" name="responsable" id="responsable"><input type="hidden" name="idresponsable" id="idresponsable">
	<td><input type="text" id="sel" onclick="dispCal()" size="10" readonly="readonly" />
		<img src="calendar.png" onclick="dispCal()" style="cursor: pointer; vertical-align: middle;" />
		<div id="cont-cal" align="center">
		<table class="calendar" id="calendar" >
			<tr class="monthdisp">
				<td class="navigate" align="left"><img src="previous.png" onclick="return prev()" /></td>
                <td class="navigate" align="center" id="month"></td>
                <td class="navigate" align="right"><img src="next.png" onclick="return next()" /></td>
                </tr>
            <tr>
                <td colspan="3" align="center">
                    <table id="dispDays" border="0" cellpadding="4" cellspacing="4">                   
					</table>                    
                </td>
            </tr>
        </table>
        </div>
	<td><textarea rows="4" cols="30" name="observacion" id="observacion"></textarea>
	<td>Pendiente
	<td><input type="button" name="botonn" id="botonn" value="Registrar" onclick="guardaminuta();">	
</table> 
 
 
 
 <?
$sql="select e.email2,p.puesto, e.id_empleado, concat(SUBSTRING(e.nombre, 1, 1),SUBSTRING(e.a_pat, 1, 1),SUBSTRING(e.a_mat, 1, 1)) as iniciales, concat(e.nombre,' ',e.a_pat) as nombre From empleados as e LEFT JOIN puestos as p on p.id_puesto=e.puesto where e.fechabaja='000-00-00' and e.id_empleado not in ('75','121','97','98') ORDER BY p.puesto asc";
$emp=mysql_query($sql);
$tablaemp="<p><table id='emples'><tr id='capturamaraton'><th colspan='4'>Empleados Activos<tr><th>Puesto<th>Nombre<th>Iniciales<th>Seleccionar";
$tablaempl='<p><table id="emples"><tr id="capturamaraton"><th colspan="4">Empleados Activos<tr><th>Puesto<th>Nombre<th>Iniciales';
while($em=mysql_fetch_array($emp))
	{
	$correos.=$em["email2"].",";
	$mas++;
	$tablaemp.="<tr><td>".$em["puesto"]."<td>".$em["nombre"]."<td>".$em["iniciales"]."<td align='center'><input onclick='agregaresponsables($em[id_empleado], \"$em[iniciales]\",this.id)' type='button' value='Agregar' id='emp".$mas."'>";
	$tablaempl.="<tr><td>".$em["puesto"]."<td>".$em["nombre"]."<td>".$em["iniciales"];
	}
	echo$tablaemp."</table></p>";
	$tablaempl."</table></p>";
$css=base64_encode($css);
$correos=base64_encode($correos);
$tablaempl=base64_encode($tablaempl);
	
	?>
<input type="hidden" id="actual" value="no">
<input type="hidden" id="emplead" value="<?echo$mas?>">
<input type="hidden" id="css" value="<?echo$css?>">
<input type="hidden" id="correos" value="<?echo$correos?>">
<input type="hidden" id="tablaempl" value="<?echo$tablaempl?>">
</fieldset>
</body>
